libvisio::VSDCharacterList Class Reference

`#include <VSDCharacterList.h>`

## Public Member Functions

| VSDCharacterList ()
| VSDCharacterList (const VSDCharacterList &charList)
| ~VSDCharacterList ()
VSDCharacterList & | operator= (const VSDCharacterList &charList)

void

addCharIX (unsigned id, unsigned level, unsigned charCount, const std::optional< VSDName > &font, const std::optional< Colour > &fontColour, const std::optional< double > &fontSize, const std::optional< bool > &bold, const std::optional< bool > &italic, const std::optional< bool > &underline, const std::optional< bool > &doubleunderline, const std::optional< bool > &strikeout, const std::optional< bool > &doublestrikeout, const std::optional< bool > &allcaps, const std::optional< bool > &initcaps, const std::optional< bool > &smallcaps, const std::optional< bool > &superscript, const std::optional< bool > &subscript, const std::optional< double > &scaleWidth)

void | addCharIX (unsigned id, unsigned level, const VSDOptionalCharStyle &style)
unsigned | getCharCount (unsigned id) const
void | setCharCount (unsigned id, unsigned charCount)
void | resetCharCount ()
unsigned | getLevel () const
void | setElementsOrder (const std::vector< unsigned > &m_elementsOrder)
void | handle (VSDCollector *collector) const
void | clear ()
bool | empty () const

## Private Attributes

std::map< unsigned, std::unique_ptr< VSDCharacterListElement > > | m_elements
std::vector< unsigned > | m_elementsOrder

## Constructor & Destructor Documentation

## VSDCharacterList() [1/2]

libvisio::VSDCharacterList::VSDCharacterList | ( |  | ) |

## VSDCharacterList() [2/2]

libvisio::VSDCharacterList::VSDCharacterList | ( | const VSDCharacterList & | charList | ) |

## ~VSDCharacterList()

libvisio::VSDCharacterList::~VSDCharacterList | ( |  | ) |

## Member Function Documentation

## addCharIX() [1/2]

void libvisio::VSDCharacterList::addCharIX | ( | unsigned | id,
|  | unsigned | level,
|  | const VSDOptionalCharStyle & | style )

## addCharIX() [2/2]

void libvisio::VSDCharacterList::addCharIX | ( | unsigned | id,
|  | unsigned | level,
|  | unsigned | charCount,
|  | const std::optional< VSDName > & | font,
|  | const std::optional< Colour > & | fontColour,
|  | const std::optional< double > & | fontSize,
|  | const std::optional< bool > & | bold,
|  | const std::optional< bool > & | italic,
|  | const std::optional< bool > & | underline,
|  | const std::optional< bool > & | doubleunderline,
|  | const std::optional< bool > & | strikeout,
|  | const std::optional< bool > & | doublestrikeout,
|  | const std::optional< bool > & | allcaps,
|  | const std::optional< bool > & | initcaps,
|  | const std::optional< bool > & | smallcaps,
|  | const std::optional< bool > & | superscript,
|  | const std::optional< bool > & | subscript,
|  | const std::optional< double > & | scaleWidth )

Referenced by addCharIX().

## clear()

void libvisio::VSDCharacterList::clear | ( |  | ) |

Referenced by operator=(), and ~VSDCharacterList().

## empty()

bool libvisio::VSDCharacterList::empty | ( |  | ) | const

inline

Referenced by handle().

## getCharCount()

unsigned libvisio::VSDCharacterList::getCharCount | ( | unsigned | id | ) | const

## getLevel()

unsigned libvisio::VSDCharacterList::getLevel | ( |  | ) | const

## handle()

void libvisio::VSDCharacterList::handle | ( | VSDCollector * | collector | ) | const

## operator=()

libvisio::VSDCharacterList & libvisio::VSDCharacterList::operator= | ( | const VSDCharacterList & | charList | ) |

## resetCharCount()

void libvisio::VSDCharacterList::resetCharCount | ( |  | ) |

## setCharCount()

void libvisio::VSDCharacterList::setCharCount | ( | unsigned | id,
|  | unsigned | charCount )

## setElementsOrder()

void libvisio::VSDCharacterList::setElementsOrder | ( | const std::vector< unsigned > & | m_elementsOrder | ) |

## Member Data Documentation

## m_elements

std::map<unsigned, std::unique_ptr<VSDCharacterListElement> > libvisio::VSDCharacterList::m_elements

private

Referenced by addCharIX(), clear(), empty(), getCharCount(), getLevel(), handle(), operator=(), resetCharCount(), setCharCount(), VSDCharacterList(), and VSDCharacterList().

## m_elementsOrder

std::vector<unsigned> libvisio::VSDCharacterList::m_elementsOrder

private

Referenced by clear(), handle(), operator=(), setElementsOrder(), VSDCharacterList(), and VSDCharacterList().

The documentation for this class was generated from the following files:

- VSDCharacterList.h
- VSDCharacterList.cpp